Subject: Re: bug#13577: 24.3.50; Underscore in LaTeX comments can mess up ispell

From: Ivan Andrus <[email-masked]>
Date: Sat, 21 Dec 2013 23:42:24 -0700

On Dec 20, 2013, at 10:16 PM, Chong Yidong <[email-masked]> wrote:

> Ivan Andrus <[email-masked]> writes:
> 
>> Starting from emacs -Q add the following to a buffer and put it in
>> latex-mode (I checked both AUCTeX and the builtin latex-mode):
>> 
>> % Again, we ignore the actual values of $\zeta_{i}$.
>> It is clear that $Z(G)=\angles{c_{i}}\cong \mathbb{Z}_{p}^{2}$ and
>> $G'=\angles{b_{i},c_{i}}$.
>> Missssspeelllllled.
>> 
>> Run ispell-buffer.  I have to do the following to get ispell to work on
>> my system:
>> 
>> (setq-default ispell-program-name "hunspell")
>> (setq ispell-dictionary "american")
>> 
>> You will notice that it tries to correct G', when it should not (since
>> it's in math mode).  It also ignores Missssspeelllllled.
> 
> I can't reproduce this.  For me, ispell-buffer tries only to correct
> Missssspeelllllled.

Hmm...  I still see the same behavior on trunk from about 3 days ago:

Bzr revision: 115610 [email-masked]

Are you using AUCTeX or the builtin latex-mode?

This has to do with skipping regions and in-comment.  I think I have a patch.  However, I need to get my new employer to sign papers, and they're shut down for about two weeks.

-Ivan